#include "clickabledoublespinbox.h"

#include <QVBoxLayout>

ClickableDoubleSpinBox::ClickableDoubleSpinBox(QWidget *parent)
    : QDoubleSpinBox(parent)
{
    setFocusPolicy(Qt::NoFocus);
    setButtonSymbols(QAbstractSpinBox::NoButtons);
    setValue(-1);
    setDecimals(1);
    setAlignment(Qt::AlignHCenter);
    setContentsMargins(0, 0, 0, 0);
    setMaximumWidth(66);
    setMinimumWidth(25);
}

